const express = require('express'); //node.js web application framework that provides a robust set of features to develop web applications
const bodyParser = require('body-parser'); //node.js middleware for handling JSON, Raw, Text and URL encoded form data.
const oss = require('./ossFunctions.js');

const app = express();

app.use(bodyParser.json());
app.use(bodyParser.urlencoded({
  extended: true,
}));

app.post('/event',  (req, res) => {
  const callbakKey = req.get('Authorization');
  const payload = req.body;

  console.log('callback key: '+callbakKey);
  console.log('payload: '+ JSON.stringify(payload));

  if(payload.name == 'PACKAGE_COMPLETE'){
  	oss.downloadZippedDocument(payload);
  }
  console.log('it\'s here');
  res.send('OK');
});

const portToListenOn = 3800;

app.listen(portToListenOn, () => {
  console.log(`Listening for OneSpan Sign notifications on port ${portToListenOn}. Started ${new Date().toString()}`);
});